Menú

Ipod y Linux. Soporte incompleto.

17 de marzo de 2006

Unas de las cosas que me trae de cabeza cuando utilizo Guadalinex (y esto se puede aplicar a cualquier distribución) es que a pesar de la variedad de reproductores de audio disponibles para Linux, ninguno de ellos soporta Ipod de una forma completa. Como sabéis, no hay una versión de Itunes para este SO, por lo que he estado probando algunas de las alternativas que paso ahora a comentar:

  • Amarok es bastante atractivo, aunque demasiado recargado, siempre está conectando a la red para buscar información de las canciones, del autor en la wikipedia o la foto del album. Sin embargo, en cuanto a la compatibilidad con Ipod, aunque es de los mejores para esto, resulta que la versión 1.3 no puede leer las listas de reproducción del ipod, solamente el directorio de canciones. La versión 1.4 (que es una beta y no me funciona bien, ya que cuando lleva un rato reproduciendo empieza a ir mal, las canciones se entrecortan) sí permite leer las listas de reproducción. El problema es que las listas inteligentes las toma como si fueran estáticas. ¿Y por qué? Porque amarok (ni la 1.3 ni la1.4) no detecta ni las puntuaciones de las canciones del ipod, ni el contador de reproducción, que es lo que realmente me interesa del asunto… (los que tengan uno sabrán el juego que dan estos parámetros)
  • Rythmbox es un reproductor más estable, funciona muy bien. El problema es que tiene demasiadas pocas opciones, y bueno, al igual que amarok, no lee ni las listas de reproducción, ni las reproducciones de cada canción, ni su puntuación.
  • Gtkpod no me gusta nada, tiene un menú muy enrevesado y carga la base de datos cada vez que ordenas las listas. Además, no sé por qué se me cierra cuando estoy tocando algunas opciones. Como con los otros, tiene un sistema de puntuación y contador de reproducciones propios, por lo que ignora las estadísticas que me ha costado meses conseguir.
  • Banshee no he conseguido instalarlo, al hacer “sudo apt-get install banshee” se me devuelve l siguiente error:
    Los siguientes paquetes tienen dependencias incumplidas:
    banshee: Depende: libgconf2.0-cil (< 2.5.0) pero 2.7.90-0filefind.net-breezy0 va a ser instalado
    Depende: libglade2.0-cil (< 2.5.0) pero 2.7.90-0filefind.net-breezy0 va a ser instalado
    Depende: libglib2.0-cil (< 2.5.0) pero 2.7.90-0filefind.net-breezy0 v a a ser instalado
    Depende: libgnome2.0-cil (< 2.5.0) pero 2.7.90-0filefind.net-breezy0 va a ser instalado
    Depende: libgtk2.0-cil (< 2.5.0) pero 2.7.90-0filefind.net-breezy0 va a ser instalado
    Depende: libipod-cil (< 0.5.6+svn20050924+revertedto0.5.5) pero 0.5.1 2-0filefind.net-breezy0 va a ser instalado
    E: Paquetes rotos
  • Por último, y en mi desesperación, intenté la reproducción de mi ipod a través del Itunes instalado en un Windows XP corriendo bajo vmware, el emulador de pcs de moda. Pero claro, eso implica que la máquina sobre la que corre vmware debería detectarme el Ipod como un Ipod, y no como un dispositivo de almacenamiento más (En Windows esto se consigue con la aplicación IpodService.exe que, aunque esté muy bien, desgraciadamente se instala automáticamente como servicio al instalar Itunes, sin preguntarte ni nada), por lo que al no estar detectado en Linux, tampoco lo hace en el Windows que se esté ejecutando bajo el vmware.

Y bueno, por ahora, hasta que encuentre algo mejor o hasta vayan apareciendo nuevas versiones de estos reproductores que mejoren la compatibilidad con Ipod, me quedo con Rhytmbox. ¿Alguien sabe algo sobre estas aplicaciones que yo no sepa y resuelva mi problema?

2 Comentarios en Ipod y Linux. Soporte incompleto.

  1. Avatar de eudlf

    eudlf dice:

    23/3/2006, 01:49

    bueno solo decirte que hay un programilla que esta en desarrollo pero que anda que muy bien se llama listen http://listengnome.free.fr/ echale un vistazo y me cuentas

  2. Avatar de Jaakko

    Jaakko dice:

    7/2/2009, 00:08

    http://www.atunes.org
    o..
    emula itunes con wine , si intentas alomejor se puede..
    Saludos

Leave a comment